{% extends "home_layout.html" %} {% block content %}
<div class="container user-login">
    <a href="{{ url_for('main.home') }}"><img
            src="{{url_for('static',filename='images/instagram_logo.png')}}"
            class="login-logo" /></a>

    <form action="" method="POST" class="login col-sm-12">
        {{ form.hidden_tag() }}
        <fieldset class="form-group">
            <div class="form-group">
                {{ form.username.label(class='form-control-label') }}
                {% if form.username.errors %}
                {{ form.username(class='form-control is-invalid') }}
                <div class="invalid-feedback">
                    {% for error in form.username.errors %}
                    <span>{{ error }}</span>
                    {% endfor %}
                </div>
                {% else %}
                {{ form.username(class='form-control' , placeholder='Username..') }}
                {% endif %}
            </div>
            <div class="form-group">
                {{ form.password.label(class='form-control-label') }}
                {% if form.password.errors %}
                {{ form.password(class='form-control is-invalid') }}
                <div class="invalid-feedback">
                    {% for error in form.password.errors %}
                    <span>{{ error }}</span>
                    {% endfor %}
                </div>
                {% else %}
                {{ form.password(class='form-control', placeholder='Secret...') }}
                {% endif %}
            </div>
            <div class="form-check">
                {{form.remember(class="form-check-input")}}
                {{form.remember.label(class="form-check-label")}}
            </div>
        </fieldset>
        <div class="form-group">
            {{ form.submit(class = "btn btn-outline-danger btn-block") }}
        </div>
        <div class="border-top pt-3">
            <small class="text-muted">
                Don't have an account?<a class="ml-2"
                    href="{{ url_for('auth.register') }}" }}>Sign up now!</a>
            </small>
        </div>
    </form>
</div>

{% endblock content %}